Debian Bug report logs - #508476
xserver-xorg-core: Cannot run in framebuffer mode. Please specify busIDs for all framebuffer devices

version graph

Package: xserver-xorg-core; Maintainer for xserver-xorg-core is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-core is src:xorg-server.

Reported by: Luca Capello <luca@pca.it>

Date: Thu, 11 Dec 2008 17:33:01 UTC

Severity: grave

Found in version xorg-server/2:1.5.3-1

Fixed in version xorg-server/2:1.6.1.901-3

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.freedesktop.org/show_bug.cgi?id=21315

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luca Capello <luca@pca.it>, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#508476; Package xserver-xorg-core. (Thu, 11 Dec 2008 17:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
New Bug report received and forwarded. Copy sent to Luca Capello <luca@pca.it>, Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 11 Dec 2008 17:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xorg-core: Cannot run in framebuffer mode. Please specify busIDs for all framebuffer devices
Date: Thu, 11 Dec 2008 18:29:17 +0100
[Message part 1 (text/plain, inline)]
Package: xserver-xorg-core
Version: 2:1.5.3-1
Severity: grave

Hi there!

I tried a configless situation with the latest X.Org in experimental,
but this resulted in X not starting at all:
=====
luca$gismo:~$ startx


X.Org X Server 1.5.3
Release Date: 5 November 2008
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.17.7 x86_64 Debian
Current Operating System: Linux gismo.pca.it 2.6.27-1-amd64 #1 SMP Wed Dec 10 04:03:39 UTC 2008 x86_64
Build Date: 12 November 2008  12:59:43PM
xorg-server 2:1.5.3-1 (buildd@xenophanes) 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Dec 11 01:04:20 2008
(EE) Unable to locate/open config file
New driver is "intel"
(==) Using default built-in configuration (30 lines)

Fatal server error:
Cannot run in framebuffer mode. Please specify busIDs        for all framebuffer devices

giving up.
xinit:  No such file or directory (errno 2):  unable to connect to X server
xinit:  No such process (errno 3):  Server error.

luca@gismo:~$
=====

I do not remember why I have installed the X.Org fbdev, but simply
removing it (version 1:0.4.0-2 from experimental) lets X starts.

I am not completely sure the severity is correct, but from what I
understood X tries to use every driver is installed, which does not
sound correct to me.

BTW1, in the information below, I substituted the Xorg.0.log with the
      one coming from the non-starting X

BTW2, why does X consider not having a config file an non-fatal error?
      Should not that be a warning instead?

Thx, bye,
Gismo / Luca

-- Package-specific info:
Contents of /var/lib/x11/X.roster:
xserver-xorg

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 2008-10-13 18:41 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1797392 2008-11-12 14:14 /usr/bin/Xorg

Contents of /var/lib/x11/xorg.conf.roster:
xserver-xorg

VGA-compatible devices on PCI bus:
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)

/etc/X11/xorg.conf does not exist.

Xorg X server log files on system:
-rw-r--r-- 1 root root 22434 2008-12-11 02:13 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.5.3
Release Date: 5 November 2008
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.17.7 x86_64 Debian
Current Operating System: Linux gismo.pca.it 2.6.27-1-amd64 #1 SMP Wed Dec 10 04:03:39 UTC 2008 x86_64
Build Date: 12 November 2008  12:59:43PM
xorg-server 2:1.5.3-1 (buildd@xenophanes) 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Thu Dec 11 01:02:06 2008
(EE) Unable to locate/open config file
(II) Loader magic: 0x7b1ec0
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 4.1
	X.Org XInput driver : 2.1
	X.Org Server Extension : 1.1
	X.Org Font Renderer : 0.6
(II) Loader running on linux
(--) using VT number 7

(--) PCI:*(0@0:2:0) Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller rev 3, Mem @ 0xee100000/524288, 0xd0000000/268435456, 0xee200000/262144, I/O @ 0x00001800/8
(--) PCI: (0@0:2:1) Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller rev 3, Mem @ 0xee180000/524288
(II) Scanning /usr/share/xserver-xorg/pci directory for additional PCI ID's supported by the drivers
(II) Matched intel from file name intel.ids
(==) Matched intel for the autoconfigured driver
New driver is "intel"
(==) Using default built-in configuration (30 lines)
(==) --- Start of built-in configuration ---
	Section "Device"
		Identifier	"Builtin Default intel Device 0"
		Driver	"intel"
	EndSection
	Section "Screen"
		Identifier	"Builtin Default intel Screen 0"
		Device	"Builtin Default intel Device 0"
	EndSection
	Section "Device"
		Identifier	"Builtin Default fbdev Device 0"
		Driver	"fbdev"
	EndSection
	Section "Screen"
		Identifier	"Builtin Default fbdev Screen 0"
		Device	"Builtin Default fbdev Device 0"
	EndSection
	Section "Device"
		Identifier	"Builtin Default vesa Device 0"
		Driver	"vesa"
	EndSection
	Section "Screen"
		Identifier	"Builtin Default vesa Screen 0"
		Device	"Builtin Default vesa Device 0"
	EndSection
	Section "ServerLayout"
		Identifier	"Builtin Default Layout"
		Screen	"Builtin Default intel Screen 0"
		Screen	"Builtin Default fbdev Screen 0"
		Screen	"Builtin Default vesa Screen 0"
	EndSection
(==) --- End of built-in configuration ---
(==) ServerLayout "Builtin Default Layout"
(**) |-->Screen "Builtin Default intel Screen 0" (0)
(**) |   |-->Monitor "<default monitor>"
(**) |   |-->Device "Builtin Default intel Device 0"
(==) No monitor specified for screen "Builtin Default intel Screen 0".
	Using a default monitor configuration.
(**) |-->Screen "Builtin Default fbdev Screen 0" (1)
(**) |   |-->Monitor "<default monitor>"
(**) |   |-->Device "Builtin Default fbdev Device 0"
(==) No monitor specified for screen "Builtin Default fbdev Screen 0".
	Using a default monitor configuration.
(**) |-->Screen "Builtin Default vesa Screen 0" (2)
(**) |   |-->Monitor "<default monitor>"
(**) |   |-->Device "Builtin Default vesa Device 0"
(==) No monitor specified for screen "Builtin Default vesa Screen 0".
	Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(==) No FontPath specified.  Using compiled-in default.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/Type1" does not exist.
	Entry deleted from font path.
(WW) The directory "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) Cannot locate a core pointer device.
(II) Cannot locate a core keyboard device.
(II) The server relies on HAL to provide the list of input devices.
	If no devices become available, reconfigure HAL or disable AllowEmptyInput.
(II) Open ACPI successful (/var/run/acpid.socket)
(II) System resource ranges:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x00000000 (0x1) IX[B]
(II) LoadModule: "extmod"

(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 1.1
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"

(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 1.1
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"

(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 1.0.0
	ABI class: X.Org Server Extension, version 1.1
(==) AIGLX enabled
(==) Exporting typical set of GLX visuals
(II) Loading extension GLX
(II) LoadModule: "freetype"

(II) Loading /usr/lib/xorg/modules//fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.5.3, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.6
(II) Loading font FreeType
(II) LoadModule: "record"

(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 1.1
(II) Loading extension RECORD
(II) LoadModule: "dri"

(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 1.0.0
	ABI class: X.Org Server Extension, version 1.1
(II) Loading extension XFree86-DRI
(II) LoadModule: "intel"

(II) Loading /usr/lib/xorg/modules/drivers//intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 2.5.1
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 4.1
(II) LoadModule: "fbdev"

(II) Loading /usr/lib/xorg/modules/drivers//fbdev_drv.so
(II) Module fbdev: vendor="X.Org Foundation"
	compiled for 1.5.0, module version = 0.4.0
	ABI class: X.Org Video Driver, version 4.1
(II) LoadModule: "vesa"

(II) Loading /usr/lib/xorg/modules/drivers//vesa_drv.so
(II) Module vesa: vendor="X.Org Foundation"
	compiled for 1.4.99.905, module version = 1.3.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 4.1
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, 965G, G35, 965Q, 946GZ,
	965GM, 965GME/GLE, G33, Q35, Q33,
	Mobile Intel® GM45 Express Chipset,
	Intel Integrated Graphics Device, G45/G43, Q45/Q43, G41
(II) FBDEV: driver for framebuffer: fbdev
(II) VESA: driver for VESA chipsets: vesa
(II) Primary Device is: PCI 00@00:02:0
(II) resource ranges after xf86ClaimFixedResources() call:
	[0] -1	0	0xffffffff - 0xffffffff (0x1) MX[B]
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x00000000 (0x1) IX[B]
(WW) Falling back to old probe method for fbdev
(II) Loading sub module "fbdevhw"
(II) LoadModule: "fbdevhw"

(II) Loading /usr/lib/xorg/modules/linux//libfbdevhw.so
(II) Module fbdevhw: vendor="X.Org Foundation"
	compiled for 1.5.3, module version = 0.0.2
	ABI class: X.Org Video Driver, version 4.1
(II) FBDEV(1): using default device
(WW) Falling back to old probe method for vesa

Fatal server error:
Cannot run in framebuffer mode. Please specify busIDs        for all framebuffer devices


-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.27-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-core depends on:
ii  libc6       2.7-16                       GNU C Library: Shared libraries
ii  libdbus-1-3 1.2.1-4                      simple interprocess messaging syst
ii  libdrm2     2.4.1+git+20081116+930c0e7-1 Userspace interface to kernel rend
ii  libfontenc1 1:1.0.4-3                    X11 font encoding library
ii  libhal1     0.5.11-6                     Hardware Abstraction Layer - share
ii  libpciacces 0.10.5-1                     Generic PCI access library for X
ii  libpixman-1 0.10.0-2                     pixel-manipulation library for X a
ii  libssl0.9.8 0.9.8g-14                    SSL shared libraries
ii  libxau6     1:1.0.3-3                    X11 authorisation library
ii  libxdmcp6   1:1.0.2-3                    X11 Display Manager Control Protoc
ii  libxfont1   1:1.3.3-1                    X11 font rasterisation library
ii  xserver-com 2:1.5.3-1                    common files used by various X ser
ii  xserver-xor 1:7.4~4                      the X.Org X server

Versions of packages xserver-xorg-core recommends:
ii  libgl1-mesa-dri               7.2-1      A free implementation of the OpenG
ii  xfonts-base                   1:1.0.0-5  standard fonts for X
ii  xkb-data                      1.4-1      X Keyboard Extension (XKB) configu

Versions of packages xserver-xorg-core suggests:
ii  xfonts-100dpi                 1:1.0.0-4  100 dpi fonts for X
ii  xfonts-75dpi                  1:1.0.0-4  75 dpi fonts for X
pn  xfonts-scalable               <none>     (no description available)

-- no debconf information
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, frank.zimmermann001@freenet.de, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#508476; Package xserver-xorg-core. (Sat, 17 Jan 2009 17:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Zimmermann <frank.zimmermann001@freenet.de>:
Extra info received and forwarded to list. Copy sent to frank.zimmermann001@freenet.de, Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 17 Jan 2009 17:27:02 GMT) Full text and rfc822 format available.

Message #10 received at 508476@bugs.debian.org (full text, mbox):

From: Frank Zimmermann <frank.zimmermann001@freenet.de>
To: Debian Bug Tracking System <508476@bugs.debian.org>
Subject: xserver-xorg-core: same issue on sid with 1.4.2-10
Date: Sat, 17 Jan 2009 18:27:36 +0100
Package: xserver-xorg-core
Version: 2:1.4.2-10
Followup-For: Bug #508476

Hi there, after an update to 1.4.2-10 my xserver is no longer starting with the same issue, however deleting 
xserver-xorg-video-fbdev did not solve the issue.

-- Package-specific info:
Contents of /var/lib/x11/X.roster:
xserver-xorg

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 26. Aug 2007  /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1718484  9. Jan 04:11 /usr/bin/Xorg

Contents of /var/lib/x11/xorg.conf.roster:
xserver-xorg

VGA-compatible devices on PCI bus:
01:00.0 VGA compatible controller: ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]

/etc/X11/xorg.conf does not match checksum in /var/lib/x11/xorg.conf.md5sum.

Xorg X server configuration file status:
-rw-r--r-- 1 root root 3604 17. Jan 14:43 /etc/X11/xorg.conf

Contents of /etc/X11/xorg.conf:

# /etc/X11/xorg.conf (xorg X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the /etc/X11/xorg.conf manual page.
# (Type "man /etc/X11/xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "ServerLayout"
	Identifier     "Default Layout"
	Screen         "Default Screen" 0 0
	InputDevice    "Generic Keyboard"
	InputDevice    "Configured Mouse"
	InputDevice    "Synaptics Touchpad"
EndSection

Section "Files"

	# path to defoma fonts
	FontPath     "/usr/share/fonts/X11/misc"
	FontPath     "/usr/X11R6/lib/X11/fonts/misc"
	FontPath     "/usr/share/fonts/X11/cyrillic"
	FontPath     "/usr/X11R6/lib/X11/fonts/cyrillic"
	FontPath     "/usr/share/fonts/X11/100dpi/:unscaled"
	FontPath     "/usr/X11R6/lib/X11/fonts/100dpi/:unscaled"
	FontPath     "/usr/share/fonts/X11/75dpi/:unscaled"
	FontPath     "/usr/X11R6/lib/X11/fonts/75dpi/:unscaled"
	FontPath     "/usr/share/fonts/X11/Type1"
	FontPath     "/usr/X11R6/lib/X11/fonts/Type1"
	FontPath     "/usr/share/fonts/X11/100dpi"
	FontPath     "/usr/X11R6/lib/X11/fonts/100dpi"
	FontPath     "/usr/share/fonts/X11/75dpi"
	FontPath     "/usr/X11R6/lib/X11/fonts/75dpi"
	FontPath     "/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType"
EndSection

Section "Module"
	Load  "i2c"
	Load  "bitmap"
	Load  "ddc"
	Load  "dri"
	Load  "extmod"
	Load  "freetype"
	Load  "glx"
	Load  "int10"
	Load  "vbe"
EndSection

Section "InputDevice"
	Identifier  "Generic Keyboard"
	Driver      "kbd"
	Option	    "CoreKeyboard"
	Option	    "XkbRules" "xorg"
	Option	    "XkbModel" "pc105"
#	Option		"XkbModel"	"asus_laptop" #does not work
	Option	    "XkbLayout" "de"
	Option	    "XkbVariant" "nodeadkeys"
	Option	    "Protocol" "Standard"
EndSection

Section "InputDevice"
	Identifier  "Configured Mouse"
	Driver      "mouse"
	Option	    "CorePointer"
	Option	    "Device" "/dev/input/mice"
	Option	    "Protocol" "ImPS/2"
	Option	    "Emulate3Buttons" "true"
EndSection

Section "InputDevice"
	Identifier  "Synaptics Touchpad"
	Driver      "synaptics"
	Option	    "SendCoreEvents" "true"
	Option	    "Device" "/dev/psaux"
	Option	    "Protocol" "auto-dev"
	Option	    "HorizScrollDelta" "0"
EndSection

Section "Monitor"
	Identifier   "Standardbildschirm"
	Option	    "DPMS"
EndSection

Section "Device"

#	Driver		"ati"
#	Driver		"radeon"
	Identifier  "ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]"
	Driver      "fglrx"
#	Driver	    "fbdev"
	BusID       "PCI:1:0:0"
EndSection

Section "Screen"
	Identifier "Default Screen"
	Device     "ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]"
	Monitor    "Standardbildschirm"
	DefaultDepth     24
	SubSection "Display"
		Depth     1
		Modes    "1400x1050"
	EndSubSection
	SubSection "Display"
		Depth     4
		Modes    "1400x1050"
	EndSubSection
	SubSection "Display"
		Depth     8
		Modes    "1400x1050"
	EndSubSection
	SubSection "Display"
		Depth     15
		Modes    "1400x1050"
	EndSubSection
	SubSection "Display"
		Depth     16
		Modes    "1400x1050"
	EndSubSection
	SubSection "Display"
		Depth     24
		Modes    "1400x1050"
	EndSubSection
EndSection

Section "DRI"
	Mode         0666
EndSection

Section "Extensions"
  Option "Composite" "true"
EndSection


Xorg X server log files on system:
-rw-r--r-- 1 root root 16296 17. Jan 18:23 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.4.2
Release Date: 11 June 2008
X Protocol Version 11, Revision 0
Build Operating System: Linux Debian (xorg-server 2:1.4.2-10)
Current Operating System: Linux voyager 2.6.26-1-686 #1 SMP Sat Jan 10 18:29:31 UTC 2009 i686
Build Date: 09 January 2009  02:57:16AM
 
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Module Loader present
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Sat Jan 17 18:23:44 2009
(==) Using config file: "/etc/X11/xorg.conf"
(==) ServerLayout "Default Layout"
(**) |-->Screen "Default Screen" (0)
(**) |   |-->Monitor "Standardbildschirm"
(**) |   |-->Device "ATI Technologies Inc RV350 [Mobility Radeon 9600 M10]"
(**) |-->Input Device "Generic Keyboard"
(**) |-->Input Device "Configured Mouse"
(**) |-->Input Device "Synaptics Touchpad"
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/X11R6/lib/X11/fonts/misc" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/cyrillic" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/100dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/75dpi/" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/Type1" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/100dpi" does not exist.
	Entry deleted from font path.
(WW) The directory "/usr/X11R6/lib/X11/fonts/75dpi" does not exist.
	Entry deleted from font path.
(==) Including the default font path /usr/share/fonts/X11/misc,/usr/share/fonts/X11/cyrillic,/usr/share/fonts/X11/100dpi/:unscaled,/usr/share/fonts/X11/75dpi/:unscaled,/usr/share/fonts/X11/Type1,/usr/share/fonts/X11/100dpi,/usr/share/fonts/X11/75dpi,/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType.
(**) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/cyrillic,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType
(==) RgbPath set to "/etc/X11/rgb"
(==) ModulePath set to "/usr/lib/xorg/modules"
(**) Extension "Composite" is enabled
(II) Open ACPI successful (/var/run/acpid.socket)
(II) Loader magic: 0x81e38c0
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.3
	X.Org Video Driver: 2.0
	X.Org XInput driver : 2.0
	X.Org Server Extension : 0.3
	X.Org Font Renderer : 0.5
(II) Loader running on linux
(II) LoadModule: "pcidata"
(II) Loading /usr/lib/xorg/modules//libpcidata.so
(II) Module pcidata: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(--) using VT number 3

(II) PCI: PCI scan (all values are in hex)
(II) PCI: 00:00:0: chip 8086,3340 card 1043,186a rev 21 class 06,00,00 hdr 00
(II) PCI: 00:01:0: chip 8086,3341 card 0000,0000 rev 21 class 06,04,00 hdr 01
(II) PCI: 00:1d:0: chip 8086,24c2 card 1043,1869 rev 03 class 0c,03,00 hdr 80
(II) PCI: 00:1d:1: chip 8086,24c4 card 1043,1869 rev 03 class 0c,03,00 hdr 00
(II) PCI: 00:1d:2: chip 8086,24c7 card 1043,1869 rev 03 class 0c,03,00 hdr 00
(II) PCI: 00:1d:7: chip 8086,24cd card 1043,1868 rev 03 class 0c,03,20 hdr 00
(II) PCI: 00:1e:0: chip 8086,2448 card 0000,0000 rev 83 class 06,04,00 hdr 01
(II) PCI: 00:1f:0: chip 8086,24cc card 0000,0000 rev 03 class 06,01,00 hdr 80
(II) PCI: 00:1f:1: chip 8086,24ca card 1043,1869 rev 03 class 01,01,8a hdr 00
(II) PCI: 00:1f:3: chip 8086,24c3 card 1043,1869 rev 03 class 0c,05,00 hdr 00
(II) PCI: 00:1f:5: chip 8086,24c5 card 1043,1713 rev 03 class 04,01,00 hdr 00
(II) PCI: 00:1f:6: chip 8086,24c6 card 1043,1826 rev 03 class 07,03,00 hdr 00
(II) PCI: 01:00:0: chip 1002,4e50 card 1043,1772 rev 00 class 03,00,00 hdr 00
(II) PCI: 02:00:0: chip 14e4,169c card 1043,1735 rev 03 class 02,00,00 hdr 00
(II) PCI: 02:01:0: chip 1180,0476 card 1000,0000 rev ac class 06,07,00 hdr 82
(II) PCI: 02:01:1: chip 1180,0476 card 1800,0000 rev ac class 06,07,00 hdr 82
(II) PCI: 02:01:2: chip 1180,0552 card 1043,1867 rev 04 class 0c,00,10 hdr 80
(II) PCI: 02:02:0: chip 8086,1043 card 8086,2527 rev 04 class 02,80,00 hdr 00
(II) PCI: End of PCI scan
(II) Intel Bridge workaround enabled
(II) Host-to-PCI bridge:
(II) Bus 0: bridge is at (0:0:0), (0,0,7), BCTRL: 0x0008 (VGA_EN is set)
(II) Bus 0 I/O range:
	[0] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) Bus 0 non-prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) Bus 0 prefetchable memory range:
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
(II) PCI-to-PCI bridge:
(II) Bus 1: bridge is at (0:1:0), (0,1,1), BCTRL: 0x000a (VGA_EN is set)
(II) Bus 1 I/O range:
	[0] -1	0	0x0000d000 - 0x0000dfff (0x1000) IX[B]
(II) Bus 1 non-prefetchable memory range:
	[0] -1	0	0xff800000 - 0xff8fffff (0x100000) MX[B]
(II) Bus 1 prefetchable memory range:
	[0] -1	0	0xce900000 - 0xde9fffff (0x10100000) MX[B]
(II) Subtractive PCI-to-PCI bridge:
(II) Bus 2: bridge is at (0:30:0), (0,2,10), BCTRL: 0x0006 (VGA_EN is cleared)
(II) Bus 2 I/O range:
	[0] -1	0	0x00001000 - 0x000010ff (0x100) IX[B]
	[1] -1	0	0x00001400 - 0x000014ff (0x100) IX[B]
	[2] -1	0	0x00001800 - 0x000018ff (0x100) IX[B]
	[3] -1	0	0x00001c00 - 0x00001cff (0x100) IX[B]
(II) Bus 2 non-prefetchable memory range:
	[0] -1	0	0xff900000 - 0xff9fffff (0x100000) MX[B]
(II) Bus 2 prefetchable memory range:
	[0] -1	0	0xdea00000 - 0xdeafffff (0x100000) MX[B]
(II) PCI-to-ISA bridge:
(II) Bus -1: bridge is at (0:31:0), (0,-1,-1), BCTRL: 0x0008 (VGA_EN is set)
(II) PCI-to-CardBus bridge:
(II) Bus 3: bridge is at (2:1:0), (2,3,6), BCTRL: 0x0580 (VGA_EN is cleared)
(II) Bus 3 I/O range:
	[0] -1	0	0x00001000 - 0x000010ff (0x100) IX[B]
	[1] -1	0	0x00001400 - 0x000014ff (0x100) IX[B]
(II) PCI-to-CardBus bridge:
(II) Bus 7: bridge is at (2:1:1), (2,7,10), BCTRL: 0x0580 (VGA_EN is cleared)
(II) Bus 7 I/O range:
	[0] -1	0	0x00001800 - 0x000018ff (0x100) IX[B]
	[1] -1	0	0x00001c00 - 0x00001cff (0x100) IX[B]
(--) PCI:*(1:0:0) ATI Technologies Inc RV350 [Mobility Radeon 9600 M10] rev 0, Mem @ 0xd0000000/27, 0xff8f0000/16, I/O @ 0xd800/8, BIOS @ 0xff8c0000/17
(II) Addressable bus resource ranges are
	[0] -1	0	0x00000000 - 0xffffffff (0x0) MX[B]
	[1] -1	0	0x00000000 - 0x0000ffff (0x10000) IX[B]
(II) OS-reported resource ranges:
	[0] -1	0	0x00100000 - 0x3fffffff (0x3ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) PCI Memory resource overlap reduced 0xe0000000 from 0xefffffff to 0xdfffffff
(II) Active PCI resource ranges:
	[0] -1	0	0xff9ee000 - 0xff9eefff (0x1000) MX[B]
	[1] -1	0	0xff9ef800 - 0xff9effff (0x800) MX[B]
	[2] -1	0	0xff9f0000 - 0xff9fffff (0x10000) MX[B]
	[3] -1	0	0xffaff400 - 0xffaff4ff (0x100) MX[B]
	[4] -1	0	0xffaff800 - 0xffaff9ff (0x200) MX[B]
	[5] -1	0	0x30000000 - 0x300003ff (0x400) MX[B]
	[6] -1	0	0xffaffc00 - 0xffafffff (0x400) MX[B]
	[7] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[8] -1	0	0xff8c0000 - 0xff8dffff (0x20000) MX[B](B)
	[9] -1	0	0xff8f0000 - 0xff8fffff (0x10000) MX[B](B)
	[10] -1	0	0xd0000000 - 0xd7ffffff (0x8000000) MX[B](B)
	[11] -1	0	0x0000e080 - 0x0000e0ff (0x80) IX[B]
	[12] -1	0	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[13] -1	0	0x0000e000 - 0x0000e03f (0x40) IX[B]
	[14] -1	0	0x0000ee00 - 0x0000eeff (0x100) IX[B]
	[15] -1	0	0x00000540 - 0x0000055f (0x20) IX[B]
	[16] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[17] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[18] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[19] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[20] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[21] -1	0	0x0000ec00 - 0x0000ec1f (0x20) IX[B]
	[22] -1	0	0x0000e880 - 0x0000e89f (0x20) IX[B]
	[23] -1	0	0x0000e800 - 0x0000e81f (0x20) IX[B]
	[24] -1	0	0x0000d800 - 0x0000d8ff (0x100) IX[B](B)
(II) Active PCI resource ranges after removing overlaps:
	[0] -1	0	0xff9ee000 - 0xff9eefff (0x1000) MX[B]
	[1] -1	0	0xff9ef800 - 0xff9effff (0x800) MX[B]
	[2] -1	0	0xff9f0000 - 0xff9fffff (0x10000) MX[B]
	[3] -1	0	0xffaff400 - 0xffaff4ff (0x100) MX[B]
	[4] -1	0	0xffaff800 - 0xffaff9ff (0x200) MX[B]
	[5] -1	0	0x30000000 - 0x300003ff (0x400) MX[B]
	[6] -1	0	0xffaffc00 - 0xffafffff (0x400) MX[B]
	[7] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[8] -1	0	0xff8c0000 - 0xff8dffff (0x20000) MX[B](B)
	[9] -1	0	0xff8f0000 - 0xff8fffff (0x10000) MX[B](B)
	[10] -1	0	0xd0000000 - 0xd7ffffff (0x8000000) MX[B](B)
	[11] -1	0	0x0000e080 - 0x0000e0ff (0x80) IX[B]
	[12] -1	0	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[13] -1	0	0x0000e000 - 0x0000e03f (0x40) IX[B]
	[14] -1	0	0x0000ee00 - 0x0000eeff (0x100) IX[B]
	[15] -1	0	0x00000540 - 0x0000055f (0x20) IX[B]
	[16] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[17] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[18] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[19] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[20] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[21] -1	0	0x0000ec00 - 0x0000ec1f (0x20) IX[B]
	[22] -1	0	0x0000e880 - 0x0000e89f (0x20) IX[B]
	[23] -1	0	0x0000e800 - 0x0000e81f (0x20) IX[B]
	[24] -1	0	0x0000d800 - 0x0000d8ff (0x100) IX[B](B)
(II) OS-reported resource ranges after removing overlaps with PCI:
	[0] -1	0	0x00100000 - 0x2fffffff (0x2ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[5] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
(II) All system resource ranges:
	[0] -1	0	0x00100000 - 0x2fffffff (0x2ff00000) MX[B]E(B)
	[1] -1	0	0x000f0000 - 0x000fffff (0x10000) MX[B]
	[2] -1	0	0x000c0000 - 0x000effff (0x30000) MX[B]
	[3] -1	0	0x00000000 - 0x0009ffff (0xa0000) MX[B]
	[4] -1	0	0xff9ee000 - 0xff9eefff (0x1000) MX[B]
	[5] -1	0	0xff9ef800 - 0xff9effff (0x800) MX[B]
	[6] -1	0	0xff9f0000 - 0xff9fffff (0x10000) MX[B]
	[7] -1	0	0xffaff400 - 0xffaff4ff (0x100) MX[B]
	[8] -1	0	0xffaff800 - 0xffaff9ff (0x200) MX[B]
	[9] -1	0	0x30000000 - 0x300003ff (0x400) MX[B]
	[10] -1	0	0xffaffc00 - 0xffafffff (0x400) MX[B]
	[11] -1	0	0xe0000000 - 0xdfffffff (0x0) MX[B]O
	[12] -1	0	0xff8c0000 - 0xff8dffff (0x20000) MX[B](B)
	[13] -1	0	0xff8f0000 - 0xff8fffff (0x10000) MX[B](B)
	[14] -1	0	0xd0000000 - 0xd7ffffff (0x8000000) MX[B](B)
	[15] -1	0	0x0000ffff - 0x0000ffff (0x1) IX[B]
	[16] -1	0	0x00000000 - 0x000000ff (0x100) IX[B]
	[17] -1	0	0x0000e080 - 0x0000e0ff (0x80) IX[B]
	[18] -1	0	0x0000e400 - 0x0000e4ff (0x100) IX[B]
	[19] -1	0	0x0000e000 - 0x0000e03f (0x40) IX[B]
	[20] -1	0	0x0000ee00 - 0x0000eeff (0x100) IX[B]
	[21] -1	0	0x00000540 - 0x0000055f (0x20) IX[B]
	[22] -1	0	0x0000ffa0 - 0x0000ffaf (0x10) IX[B]
	[23] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[24] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[25] -1	0	0x000001f0 - 0x000001f0 (0x1) IX[B]
	[26] -1	0	0x000001f0 - 0x000001f7 (0x8) IX[B]
	[27] -1	0	0x0000ec00 - 0x0000ec1f (0x20) IX[B]
	[28] -1	0	0x0000e880 - 0x0000e89f (0x20) IX[B]
	[29] -1	0	0x0000e800 - 0x0000e81f (0x20) IX[B]
	[30] -1	0	0x0000d800 - 0x0000d8ff (0x100) IX[B](B)
(II) "extmod" will be loaded. This was enabled by default and also specified in the config file.
(II) "dbe" will be loaded by default.
(II) "glx" will be loaded. This was enabled by default and also specified in the config file.
(II) "freetype" will be loaded. This was enabled by default and also specified in the config file.
(II) "record" will be loaded by default.
(II) "dri" will be loaded. This was enabled by default and also specified in the config file.
(II) LoadModule: "i2c"(II) Module "i2c" already built-in
(II) LoadModule: "ddc"(II) Module "ddc" already built-in
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions//libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 7.1.0, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension XFree86-DRI
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions//libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension SHAPE
(II) Loading extension MIT-SUNDRY-NONSTANDARD
(II) Loading extension BIG-REQUESTS
(II) Loading extension SYNC
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XC-MISC
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-Misc
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension TOG-CUP
(II) Loading extension Extended-Visual-Information
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "freetype"
(II) Loading /usr/lib/xorg/modules//fonts/libfreetype.so
(II) Module freetype: vendor="X.Org Foundation & the After X-TT Project"
	compiled for 1.4.2, module version = 2.1.0
	Module class: X.Org Font Renderer
	ABI class: X.Org Font Renderer, version 0.5
(II) Loading font FreeType
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions//libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Server Extension, version 0.3
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "int10"
(II) Loading /usr/lib/xorg/modules//libint10.so
(II) Module int10: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "vbe"
(II) Loading /usr/lib/xorg/modules//libvbe.so
(II) Module vbe: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.1.0
	ABI class: X.Org Video Driver, version 2.0
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions//libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions//librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.4.2, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 0.3
(II) Loading extension RECORD
(II) LoadModule: "fglrx"
(II) Loading /usr/lib/xorg/modules/drivers//fglrx_drv.so
(II) Module fglrx: vendor="FireGL - ATI Technologies Inc."
	compiled for 7.1.0, module version = 8.56.4
	Module class: X.Org Video Driver
(II) LoadModule: "kbd"
(II) Loading /usr/lib/xorg/modules/input//kbd_drv.so
(II) Module kbd: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.3.1
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) LoadModule: "mouse"
(II) Loading /usr/lib/xorg/modules/input//mouse_drv.so
(II) Module mouse: vendor="X.Org Foundation"
	compiled for 1.4.0.90, module version = 1.3.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input//synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 4.3.99.902, module version = 1.0.0
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 2.0
(II) Primary Device is: PCI 01:00:0
(II) ATI Proprietary Linux Driver Version Identifier:8.56.4
(II) ATI Proprietary Linux Driver Release Identifier: 8.561                                
(II) ATI Proprietary Linux Driver Build Date: Dec  1 2008 14:55:22
(EE) No devices detected.

Fatal server error:
no screens found


-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (10, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages xserver-xorg-core depends on:
ii  libc6                         2.7-18     GNU C Library: Shared libraries
ii  libdbus-1-3                   1.2.1-5    simple interprocess messaging syst
ii  libdrm2                       2.3.1-2    Userspace interface to kernel DRM 
ii  libfontenc1                   1:1.0.4-3  X11 font encoding library
ii  libgcc1                       1:4.3.2-2  GCC support library
ii  libhal1                       0.5.11-8   Hardware Abstraction Layer - share
ii  libpixman-1-0                 0.10.0-2   pixel-manipulation library for X a
ii  libxau6                       1:1.0.3-3  X11 authorisation library
ii  libxdmcp6                     1:1.0.2-3  X11 Display Manager Control Protoc
ii  libxfont1                     1:1.3.3-1  X11 font rasterisation library
ii  x11-common                    1:7.3+18   X Window System (X.Org) infrastruc
ii  xserver-xorg                  1:7.3+18   the X.Org X server

Versions of packages xserver-xorg-core recommends:
ii  xfonts-base                   1:1.0.0-5  standard fonts for X
ii  xkb-data                      1.4-1      X Keyboard Extension (XKB) configu

Versions of packages xserver-xorg-core suggests:
ii  xfonts-100dpi                 1:1.0.0-4  100 dpi fonts for X
ii  xfonts-75dpi                  1:1.0.0-4  75 dpi fonts for X
ii  xfonts-scalable               1:1.0.0-6  scalable fonts for X

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#508476; Package xserver-xorg-core. (Sat, 17 Jan 2009 17:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 17 Jan 2009 17:51:02 GMT) Full text and rfc822 format available.

Message #15 received at 508476@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Frank Zimmermann <frank.zimmermann001@freenet.de>, 508476@bugs.debian.org
Subject: Re: Bug#508476: xserver-xorg-core: same issue on sid with 1.4.2-10
Date: Sat, 17 Jan 2009 17:50:18 +0000
On Sat, 2009-01-17 at 18:27 +0100, Frank Zimmermann wrote:
> Hi there, after an update to 1.4.2-10 my xserver is no longer starting with the same issue, however deleting 
> xserver-xorg-video-fbdev did not solve the issue.
> 
no. your problem is a completely different one:

> (II) ATI Proprietary Linux Driver Version Identifier:8.56.4
> (II) ATI Proprietary Linux Driver Release Identifier: 8.561                                
> (II) ATI Proprietary Linux Driver Build Date: Dec  1 2008 14:55:22
> (EE) No devices detected.

Cheers,
Julien




Bug no longer marked as found in version 2:1.4.2-10. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 18 Jan 2009 12:06:04 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://bugs.freedesktop.org/show_bug.cgi?id=21315. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 19 May 2009 08:48:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#508476; Package xserver-xorg-core. (Wed, 20 May 2009 10:45:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 20 May 2009 10:45:06 GMT) Full text and rfc822 format available.

Message #24 received at 508476@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 508476@bugs.debian.org
Subject: FatalError with no config and fbdev..
Date: Wed, 20 May 2009 12:02:51 +0200
Hi,

so I finally sat down yesterday to take a look at this.  Here's what
happens as far as I can tell:
- the intel (or whatever) driver gets loaded, its PciProbe hook is
  called by probe_devices_from_device_sections(), and it claims the pci
  device
- then fbdev gets loaded.  Since the device is already claimed,
  xf86CheckPciSlot() in probe_devices_from_device_sections() returns 0,
  so xf86CallDriverProbe() calls the Probe hook instead of PciProbe.
  When there's no BusId, and /dev/fb0 exists, fbdev's Probe hook calls
  xf86ClaimFbSlot()
- finally, in xf86PostProbe() both fbSlotClaimed and pciSlotClaimed are
  true, so we FatalError()

I'm not sure when this started happening (I'd guess pci-rework, but I'm
not sure since I never had a framebuffer device before playing with
this, and I always had an xorg.conf), or how to fix it...

Cheers,
Julien




Tags added: pending Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 25 May 2009 12:12:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#508476; Package xserver-xorg-core. (Sun, 21 Jun 2009 15:27:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ivan Baldo <ibaldo@adinet.com.uy>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 21 Jun 2009 15:27:23 GMT) Full text and rfc822 format available.

Message #31 received at 508476@bugs.debian.org (full text, mbox):

From: Ivan Baldo <ibaldo@adinet.com.uy>
To: 508476@bugs.debian.org
Subject: Has it been reported upstream?
Date: Sun, 21 Jun 2009 12:18:45 -0300
   Hello.
   Has this problem been reported upstream?
   Thanks.

-- 
Ivan Baldo - ibaldo@adinet.com.uy - http://ibaldo.codigolibre.net/
From Montevideo, Uruguay, at the south of South America.
Freelance programmer and GNU/Linux system administrator, hire me!
Alternatives: ibaldo@codigolibre.net - http://go.to/ibaldo





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#508476; Package xserver-xorg-core. (Sun, 21 Jun 2009 15:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 21 Jun 2009 15:48:02 GMT) Full text and rfc822 format available.

Message #36 received at 508476@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Ivan Baldo <ibaldo@adinet.com.uy>, 508476@bugs.debian.org
Subject: Re: Bug#508476: Has it been reported upstream?
Date: Sun, 21 Jun 2009 17:44:48 +0200
Ivan Baldo wrote:
>    Hello.
>    Has this problem been reported upstream?
>    Thanks.
>

As you may see in http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=508476
it has been reported at http://bugs.freedesktop.org/show_bug.cgi?id=21315

Brice





Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Tue, 23 Jun 2009 18:30:03 GMT) Full text and rfc822 format available.

Notification sent to Luca Capello <luca@pca.it>:
Bug acknowledged by developer. (Tue, 23 Jun 2009 18:30:04 GMT) Full text and rfc822 format available.

Message #41 received at 508476-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 508476-close@bugs.debian.org
Subject: Bug#508476: fixed in xorg-server 2:1.6.1.901-3
Date: Tue, 23 Jun 2009 18:18:12 +0000
Source: xorg-server
Source-Version: 2:1.6.1.901-3

We believe that the bug you reported is fixed in the latest version of
xorg-server, which is due to be installed in the Debian FTP archive:

xdmx-tools_1.6.1.901-3_i386.deb
  to pool/main/x/xorg-server/xdmx-tools_1.6.1.901-3_i386.deb
xdmx_1.6.1.901-3_i386.deb
  to pool/main/x/xorg-server/xdmx_1.6.1.901-3_i386.deb
xnest_1.6.1.901-3_i386.deb
  to pool/main/x/xorg-server/xnest_1.6.1.901-3_i386.deb
xorg-server_1.6.1.901-3.diff.gz
  to pool/main/x/xorg-server/xorg-server_1.6.1.901-3.diff.gz
xorg-server_1.6.1.901-3.dsc
  to pool/main/x/xorg-server/xorg-server_1.6.1.901-3.dsc
xserver-common_1.6.1.901-3_all.deb
  to pool/main/x/xorg-server/xserver-common_1.6.1.901-3_all.deb
xserver-xephyr_1.6.1.901-3_i386.deb
  to pool/main/x/xorg-server/xserver-xephyr_1.6.1.901-3_i386.deb
xserver-xfbdev_1.6.1.901-3_i386.deb
  to pool/main/x/xorg-server/xserver-xfbdev_1.6.1.901-3_i386.deb
xserver-xorg-core-dbg_1.6.1.901-3_i386.deb
  to pool/main/x/xorg-server/xserver-xorg-core-dbg_1.6.1.901-3_i386.deb
xserver-xorg-core_1.6.1.901-3_i386.deb
  to pool/main/x/xorg-server/xserver-xorg-core_1.6.1.901-3_i386.deb
xserver-xorg-dev_1.6.1.901-3_i386.deb
  to pool/main/x/xorg-server/xserver-xorg-dev_1.6.1.901-3_i386.deb
xvfb_1.6.1.901-3_i386.deb
  to pool/main/x/xorg-server/xvfb_1.6.1.901-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 508476@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xorg-server package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 23 Jun 2009 19:52:10 +0200
Source: xorg-server
Binary: xserver-xorg-core xserver-xorg-dev xdmx xdmx-tools xnest xvfb xserver-xephyr xserver-xfbdev xserver-xorg-core-dbg xserver-common
Architecture: source all i386
Version: 2:1.6.1.901-3
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xdmx       - distributed multihead X server
 xdmx-tools - Distributed Multihead X tools
 xnest      - Nested X server
 xserver-common - common files used by various X servers
 xserver-xephyr - nested X server
 xserver-xfbdev - Linux framebuffer device tiny X server
 xserver-xorg-core - Xorg X server - core server
 xserver-xorg-core-dbg - Xorg - the X.Org X server (debugging symbols)
 xserver-xorg-dev - Xorg X server - development files
 xvfb       - Virtual Framebuffer 'fake' X server
Closes: 508476 526678
Changes: 
 xorg-server (2:1.6.1.901-3) unstable; urgency=low
 .
   [ Julien Cristau ]
   * xvfb-run: don't pass the magic cookie to xauth on the command line
     (CVE-2009-1573; closes: #526678).  Thanks, Loïc Minier!
   * xvfb-run: use mktemp to create the temporary directory.
   * Change default for ExaOptimizeMigration to false.  This option still
     causes visual corruption in some cases.  Thanks, Michel Dänzer!
   * Only include hal info for keyboards, mice, touchpads and tablets in the
     bug script.
   * In the bug script, grep dmesg for agp in addition to drm.
   * Add patch stolen from Fedora to disable the fbdev driver when it's loaded
     together with a PCI or SBUS driver, instead of calling FatalError (closes:
     #508476).
   * Add patch stolen from Fedora to try and detect the primary PCI device by
     mapping the legacy VGA bios and comparing the vendor and device ids.
     Previously if there was more than one VGA device and the config didn't
     specify BusIDs, the server would just fail to start, so this hack should
     improve things.
   * Update configure options:
     + use --enable-xvfb instead of --enable-vfb
     + drop --disable-builtin-fonts, --enable-xtrap, --disable-kdrive-vesa,
       --disable-lbx, --disable-xprint, --disable-xorgconfig, --disable-xorgcfg
       which don't exist anymore
     + use --disable-config-hal and --disable-dri on hurd-i386
     + reorder options to match configure.ac, and use explicit
       --enable/--disable instead of using the defaults / autodetection
   * Don't recommend xfonts-base.  libXfont provides builtin versions of the
     fixed and cursor fonts, which are the only required ones.  Keep xfonts-*
     packages in Suggests for xserver-xorg-core.
   * Bump Standards-Version to 3.8.2 now that we have README.source.
   * Drop Build-Conflicts on xlibs-static-dev; it's only in oldstable at this
     point.
   * Pull from upstream server-1.6-branch as of June 23rd (commit dbac41b).
   * Bump build-dep on dri2proto to 2.1 for new protocol.
   * Bump build-dep on libselinux1-dev to 2.0.80 for avc_netlink_acquire_fd.
 .
   [ David Nusinow ]
   * Add README.source
Checksums-Sha1: 
 259115805767312e0f1d6005723bfca10f7ddc99 3204 xorg-server_1.6.1.901-3.dsc
 7c5e6da1988058b1c910f7faa03efa1cfe771fc3 97042 xorg-server_1.6.1.901-3.diff.gz
 544f1da97d8c1b8e8fee7dc7cc7b690cf146c372 50778 xserver-common_1.6.1.901-3_all.deb
 aa6145172ca2d81a92498a3ce748a4304da78a56 2166936 xserver-xorg-core_1.6.1.901-3_i386.deb
 7a4aa5cbeabc73781fd160f1621db8ebb2bdeaa3 980812 xserver-xorg-dev_1.6.1.901-3_i386.deb
 16c4711be1deb0f87a6c2abe1db134fe4527e265 1479550 xdmx_1.6.1.901-3_i386.deb
 644d3642409e285baea3c3a6525daf9583bb1c79 798950 xdmx-tools_1.6.1.901-3_i386.deb
 b01cf1a6330629076707a3dc1befdb1fbcfc7b8b 1387350 xnest_1.6.1.901-3_i386.deb
 c9afd9f1f3cad142cc61e22994702ee476bf7479 1496816 xvfb_1.6.1.901-3_i386.deb
 f754c3bb301252d037d8d79ac6a26d6d475cc1e8 1569520 xserver-xephyr_1.6.1.901-3_i386.deb
 67bf96562b8ee21a2ef65ba5c5204b4b5937d318 1521140 xserver-xfbdev_1.6.1.901-3_i386.deb
 bc9857851e49138ceec1496834b75031e8a029fd 6122726 xserver-xorg-core-dbg_1.6.1.901-3_i386.deb
Checksums-Sha256: 
 157f674679e92145a7d5b19859111ffa309f18ef76c48d377057bcac7d9e19d1 3204 xorg-server_1.6.1.901-3.dsc
 4f6fc25ab2c318d98c5e68bb7652f1fc28032987e6025e4737329f2b2da2acc2 97042 xorg-server_1.6.1.901-3.diff.gz
 cfe75e625ac04816849b2210327c32cc56b374d93280346006747fa2d560bd88 50778 xserver-common_1.6.1.901-3_all.deb
 2e5260a3cd9d88d4c65ca002f044470fac5780dcd9e0a1e0e9a5069245c88ff1 2166936 xserver-xorg-core_1.6.1.901-3_i386.deb
 6609b2cf6a8eedbc1f4f63aafce453a80ef1a9790fa0c6e2dd9aa401e4b58449 980812 xserver-xorg-dev_1.6.1.901-3_i386.deb
 0bdc6500de6343baea445acfc620baa109e146fe441b3dfa3e2293f19ec40b37 1479550 xdmx_1.6.1.901-3_i386.deb
 b08696601bb7b3b46f4a8fbe82003fe5d4e9553efff7ca5ac9922d8c08bc0c9c 798950 xdmx-tools_1.6.1.901-3_i386.deb
 fd1a5229109985d6e1bf714ea99528076f1e979740ce2b1f67eba8706410d2f6 1387350 xnest_1.6.1.901-3_i386.deb
 2f324ff3cb29ad535d6cc955b4b82059c6a6649dc9f0a4f09c8ac71bf83a018d 1496816 xvfb_1.6.1.901-3_i386.deb
 2af1812c255deb49010d3ad187b4dad24c742ebe3b7b34cae60a700ae8a40cb9 1569520 xserver-xephyr_1.6.1.901-3_i386.deb
 7208db871d9ef90df71bd50df318d2a60d1f043fdaae9604fde6ace19237c36d 1521140 xserver-xfbdev_1.6.1.901-3_i386.deb
 4fd691c550a72291937ce34d4943e9fa10b072736f6e72839196d6c888be14f7 6122726 xserver-xorg-core-dbg_1.6.1.901-3_i386.deb
Files: 
 32db857aba7a30bb5962c506a5d1e413 3204 x11 optional xorg-server_1.6.1.901-3.dsc
 d3e8ea9086b72ed899469511555837be 97042 x11 optional xorg-server_1.6.1.901-3.diff.gz
 cf77d53ad16398d1e1bdbfc456b232f6 50778 x11 optional xserver-common_1.6.1.901-3_all.deb
 078080f218d96994bb4facc4a31bf0fe 2166936 x11 optional xserver-xorg-core_1.6.1.901-3_i386.deb
 de758b8eda9f131b692b7533c72b7d28 980812 x11 optional xserver-xorg-dev_1.6.1.901-3_i386.deb
 74fa94aa4eb5be1d7b941c9437e04c37 1479550 x11 optional xdmx_1.6.1.901-3_i386.deb
 2659971fd14095f16b0e092f748d163f 798950 x11 optional xdmx-tools_1.6.1.901-3_i386.deb
 96ebd29110f1c5af33f061a2c669b879 1387350 x11 optional xnest_1.6.1.901-3_i386.deb
 ea2ee66487325922b269a61d4edad82b 1496816 x11 optional xvfb_1.6.1.901-3_i386.deb
 fbb5766b0f18b596c11e3cdf97d73509 1569520 x11 optional xserver-xephyr_1.6.1.901-3_i386.deb
 5d824e782968a87a2c1f3e24edf34869 1521140 x11 optional xserver-xfbdev_1.6.1.901-3_i386.deb
 291747ba266d28a5878e94979b09fb60 6122726 debug extra xserver-xorg-core-dbg_1.6.1.901-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpBGOIACgkQmEvTgKxfcAyJegCgkLDKb0ZNXvHAc1lusJLRxhYv
81gAoMkQz9IzagPkKgKsC6E8xagYVy0K
=IQrI
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 22 Jul 2009 07:30:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:23:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.